Subject: [nemo] Handling MIPL options in nemo

From: "Byung-Yeob Kim" <[email-masked]>
Date: Tue, 24 Aug 2004 09:38:11 +0900

Hi, all,
I am implementing draft-ietf-nemo-basic-support-v03 by modifying MIPL 1.0. 

I see two MIPL configuration options, autoconf and forwarding.  I think
autoconf is for nodes while forwarding is for routers; problem is nemo MR
needs both of them.  Does anyone have any idea about handling these options?

I tried to change the code to accept both options at the same time.
However, I found that MR does not forward pings from its subsidiary nodes
anymore.  (I am not yet sure this is because of taking both options though.)

Regards,
Bob
PEC/ETRI

---

From: Ryuji Wakikawa <[email-masked]>
Date: Tue, 24 Aug 2004 12:03:00 +0900

Hello Bob

In our BSD implementation, we set autoconf and forwarding option on MR.
We made some kernel modification to handle both options in the kernel.
MR must relax the IPv6 spec for enabling both options.

ryuji

---

From: Romain KUNTZ <[email-masked]>
Date: Tue, 24 Aug 2004 12:49:59 +0900

Hi,

> I see two MIPL configuration options, autoconf and forwarding.  I
> think autoconf is for nodes while forwarding is for routers; problem
> is nemo MR needs both of them.  Does anyone have any idea about
> handling these options?
> 
> However, I found that MR does not forward pings from its subsidiary
> nodes anymore.  (I am not yet sure this is because of taking both
> options though.)

you may need to change neighbor discovery behaviour, because it cannot
handle both autoconf and forwarding at the same time (if forwarding is
set, RA are dropped even if accept_ra is set for the interface).

see net/ipv6/ndisc.c, function ndisc_router_discovery().

Hope it will help!

Regards,

-- 
Romain KUNTZ
[email-masked]

---

From: "Stefan Aust" <[email-masked]>
Date: Tue, 24 Aug 2004 09:40:27 +0200

Hello Bob, hi all,

we are also working with MIPL and fixed the problem in the same way as it is
mentioned above. Do you have any information about the implemented Movement
Detection in MIPL?. There are ECS and LCS but it seems that only one of them
is working well (I guess LCS). What is your experience concerning MD?

You can set a flag but it seems that the implementation does not use it.

Regards, 
Stefan

> -----Ursprüngliche Nachricht-----
> Von: [email-masked] [mailto:[email-masked]] Im 
> Auftrag von Byung-Yeob Kim
> Gesendet: Dienstag, 24. August 2004 02:38
> An: [email-masked]
> Cc: autonet
> Betreff: [nemo] Handling MIPL options in nemo
> 
> 
> 
> Hi, all,
> I see two MIPL configuration options, autoconf and 
> forwarding.  I think autoconf is for nodes while forwarding 
> is for routers; problem is nemo MR needs both of them.  Does 
> anyone have any idea about handling these options?
> 
> I tried to change the code to accept both options at the same 
> time. However, I found that MR does not forward pings from 
> its subsidiary nodes anymore.  (I am not yet sure this is 
> because of taking both options though.)
> 
> Regards,
> Bob
> PEC/ETRI
> 
>